% find steady state

clear all
close all



%folder_path='/Users/takahashiyuta/Dropbox/Latex/Mynotes/KM(97)'; % the folder_path
folder_path='/Users/christiano/Dropbox/sw20_LJC/docs/Journals/Referee/Zha_Liu_Wang';


% parameters


gamma_h  =.4976; % habit persistence for the firm
gamma_e  =.6584; % habit persistence for the household
beta_e   =.9855;  % discount factor for the firm
beta_h   =.9943;  % (1+lambda_a) * bet: discount factor for entreprenuer
phi      =.0695;     % substitution between land and capital
delta    =.0368;   % depreciation
psi      =0;         % labor elasticity
alpha    =.3;      % substitution between (Land * capital) and labor
L_bar    =1;       % land supply (fixed)
var_phi_bar=0.0457; % in log
theta_bar=.75;
om       =0.18;
var_phi=0.0457;
rho=  3.8162; % This is set so as to make N=.25 at ss.

L=1;




rho_z=.4263;
rho_var_phi=.9997;
rho_theta=.9805;

sigma_z=.042;
sigma_theta=.0012;
sigma_var_phi=.0462;






% choose 'theta' or 'var_phi'
model='theta';



%----------------------------------------------------------

if strcmp(model,'theta')==1
    
    theta_gridsize=100;
    theta_lower=.4;
    theta_upper=1;
    theta_state=linspace(theta_lower,theta_upper,theta_gridsize);theta_state=theta_state';
    CS_theta=nan(theta_gridsize,12);
    
    for i=1:theta_gridsize
        
        theta=theta_state(i);
        
        q_K=1;
        
[ce,ch,lambda_e,lambda_h,Le,Lh,K,N,w,q_l,mu,R,B,I,Y]= ...
    sstate(gamma_h,gamma_e,beta_e,beta_h,phi,delta,psi,alpha,theta,L,var_phi,rho);
        
        resi=steady_state_checker(ce,ch,lambda_e,lambda_h,Le,Lh,K,N,w,q_l,mu,R,B,I,gamma_h,gamma_e,beta_e,beta_h,phi,delta,psi,alpha,theta,L,q_K,rho,var_phi);
        
        if norm(resi)>1e-10
            disp('erros')
        end
        
        
        CS_theta(i,:)=[K/Y Y q_l Le I mu B B/theta ce ch w N];
        
        
    end
    name={{'capital output ratio'},{'output'},{'land price'},{'land demand by the firm'},{'investment'},{'multiplier on the collateral constraint'},{'Bond'}...
        {'Collateral value'},{'consumption by the firm'},{'consumption by hh'},{'wage'},{'labor'}};
    
    for j=1:size(CS_theta,2)
        subplot(4,3,j)
        plot(theta_state,CS_theta(:,j),'LineWidth',1.2);
        title(name{j});
        grid on
        axis tight
        xlabel('\theta')
    end
    
    print -depsc 'CS_theta.eps' ;
    status=movefile('CS_theta.eps',folder_path)
    
    
end


if strcmp(model,'var_phi')==1
    
    
    var_phi_gridsize=100;
    var_phi_lower=1; %exp(0.0457)
    var_phi_upper=2;
    var_phi_state=linspace(var_phi_lower,var_phi_upper,var_phi_gridsize);var_phi_state=var_phi_state';
    CS_theta=nan(var_phi_gridsize,12);
    
    
    
    for i=1:var_phi_gridsize
        
        var_phi=var_phi_state(i);
        
        q_K=1;
        
[ce,ch,lambda_e,lambda_h,Le,Lh,K,N,w,q_l,mu,R,B,I,Y]= ...
    sstate(gamma_h,gamma_e,beta_e,beta_h,phi,delta,psi,alpha,theta,L,var_phi,rho);
        
        resi=steady_state_checker(ce,ch,lambda_e,lambda_h,Le,Lh,K,N,w,q_l,mu,R,B,I,gamma_h,gamma_e,beta_e,beta_h,phi,delta,psi,alpha,theta,L,q_K,rho,var_phi);

        
        if norm(resi)>1e-10
            disp('erros')
        end
        
        CS_var_phi(i,:)=[K/Y Y q_l Le I mu B B/.75 ce ch w N];
        
        
    end
    name={{'capital output ratio'},{'output'},{'land price'},{'land demand by the firm'},{'investment'},{'multiplier on the collateral constraint'},{'Bond'}...
        {'Collateral value'},{'consumption by hh'},{'consumption by the firm'},{'wage'},{'labor'}};
    
    for j=1:size(CS_var_phi,2)
        subplot(4,3,j)
        plot(var_phi_state,CS_var_phi(:,j),'LineWidth',1.2);
        title(name{j});
        grid on
        axis tight
        xlabel('varphi')
    end
    
    print -depsc 'CS_var_phi.eps' ;
    status=movefile('CS_var_phi.eps',folder_path)
    
    
    
    
    
end



