function pltIRF(Y_e_var_phi,Y_ss,K_e_var_phi,K_ss,q_l_e_var_phi,q_l_ss, ...
    Le_e_var_phi,Le_ss,Lh_e_var_phi,Lh_ss,I_e_var_phi,I_ss,B_e_var_phi,B_ss, ...
    ce_e_var_phi,ch_e_var_phi,ce_ss,ch_ss,w_e_var_phi,w_ss,N_e_var_phi,N_ss,q_k_e_var_phi, ...
    R_e_var_phi,mu_e_var_phi,mu_ss,var_phi_e_var_phi,var_phi_bar,theta_bar,psi,gamma_h,gamma_e,ip)

names={{'Capital GDP ratio'},{'GDP'},{'Land price'},{'Land owned by the entrepreneur'},{'Land owned by hh'},...
    {'Investment'},{'Bond'},{'Aggregate consumption'},{'consumption by the entre.'},{'consumption by hh'}, ...
    {'wage'},{'Labor'},{'Capital price'},{'Interest Rate (ABP)'},{'multiplier on collateral (level)'}};

tempY=Y_e_var_phi+Y_ss;
tempK=K_e_var_phi+K_ss;
ratioYK=Y_ss/K_ss;
ratioYK_path=tempY./tempK;

IRF=[(ratioYK_path-ratioYK)/ratioYK  Y_e_var_phi./Y_ss q_l_e_var_phi./q_l_ss ...
    Le_e_var_phi./Le_ss Lh_e_var_phi./Lh_ss I_e_var_phi./I_ss  B_e_var_phi./B_ss ...
    (ce_e_var_phi+ch_e_var_phi)/(ce_ss + ch_ss) ce_e_var_phi/ce_ss ...
    ch_e_var_phi/ch_ss w_e_var_phi./w_ss N_e_var_phi./N_ss q_k_e_var_phi 400*R_e_var_phi ...
    (mu_e_var_phi+mu_ss)/100];%divide last one by 100 to undo multiplication of IRF 

dt=1:length(ce_e_var_phi);
zero_line=zeros(size(dt));

N_fig=size(IRF,2);

for i=1:N_fig
    subplot(4,4,i)
    if i ~= 3 && i ~= 15
        plot(dt,IRF(:,i)*100,'-o',...
            dt,zero_line,'LineWidth',1.2)
    else
        plot(dt,IRF(:,i)*100,'-o','LineWidth',1.2)
    end
    title(names{i},'FontSize',10);
    xlabel('Periods','FontSize',10);
    grid on
    axis tight
    if i ~= 15
        ylabel('% deviation','FontSize',10)
    else
        ylabel(' level ','FontSize',10)
    end
end
if N_fig >= 4*4
    error('fatal (pltIRF) too many figures')
end
subplot(4,4,N_fig+1)
plot(dt,100*var_phi_e_var_phi/var_phi_bar)
if ip == 1
    title(' varphi ','FontSize',10);
elseif ip == 2
    title(' \theta ','FontSize',10);
end
ylabel('% deviation ','FontSize',10)
xlabel('Periods','FontSize',10);
grid on
axis tight
if ip == 1
    str=[' HH demand for land shock \theta bar = ',num2str(theta_bar),' \psi = ',num2str(psi) ...
        ' \gamma_{e} = ',num2str(gamma_e),' \gamma_{h} = ',num2str(gamma_h)];
elseif ip == 2
    str=[' positive LTV (\theta) shock \theta bar = ',num2str(theta_bar),' \psi = ',num2str(psi)  ...
    ' \gamma_{e} = ',num2str(gamma_e),' \gamma_{h} = ',num2str(gamma_h)];
end
hout=suptitle(str);

folder_path='/Users/christiano/Dropbox/sw20_LJC/docs/Journals/Referee/Zha_Liu_Wang';

if ip == 1
    print -depsc 'IRF_var_phi.eps' ;
    status=movefile('IRF_var_phi.eps',folder_path)
elseif ip == 2
    %folder_path='/Users/takahashiyuta/Dropbox/Latex/Mynotes/KM(97)';
    print -depsc 'IRF_theta.eps' ;
    status=movefile('IRF_theta.eps',folder_path)
end
