% The discussion of  ZHENG LIU, PENGFEI WANG, AND TAO ZHA
% Econometrica paper

% steady state checker


function resi=steady_state_checker(ce,ch,lambda_e,lambda_h,Le,Lh,K,N,w,q_l,mu,R,B,I,gamma_h,gamma_e,beta_e,beta_h,phi,delta,psi,alpha,theta,L,q_K,rho,var_phi)

% parameters (posterior mode)

%parameters;


% endogenous variables 14

%  ce=1;% consumption for the firm
% ch=1; % consumption for hh
% lambda_e=1; % lagrange multiplier on bc for the firm
% lambda_h=1;% lagrange multiplier on bc for the hh
% Le=1;% land demand for the firm
% Lh=1;
% K=1;% capital demand
% N=1; % labor demand
% w=1; % wage
% q_l=1; % land price
% mu=1; % multiplier on the collateral constraint
% R=1; % interest rate
% B=1; % bond demand
% I=1; % investment


% prepare some notations


Y=(Le^phi * K^(1-phi))^alpha * N^(1-alpha);


A_e=(1-beta_e *gamma_e)/(1-gamma_e);
A_h=(1-beta_h *gamma_h)/(1-gamma_h);




%---------------------------------------------------------
% firm side
%---------------------------------------------------------


% FONC for c
eq_1=ce^(-1)*A_e-lambda_e;

% marginal labor
eq_2=(1-alpha)  *  Y / N -w;

% land pricing
LHS_3=q_l;
RHS_3=beta_e * (alpha * phi * Y/Le +q_l) + mu/lambda_e * theta*q_l;

eq_3=RHS_3 - LHS_3;


% capital equation
LHS_4=1;
RHS_4=mu/lambda_e * theta*q_K + beta_e * (  alpha * (1-phi) * Y /K + 1-delta  );

eq_4=RHS_4-LHS_4;

% interest rate

LHS_5=R^(-1);
RHS_5=beta_e + mu/lambda_e;

eq_5=RHS_5-LHS_5;

% firm's bc (redundant)

LHS_6=ce + B + I+ w*N;
RHS_6=  Y + B/R;

eq_6=LHS_6-RHS_6;

% capital dynamics

eq_7=delta*K-I;

% collateral constraint

LHS_8=B;
RHS_8=theta * (q_l * Le + q_K*K);

eq_8=LHS_8-RHS_8;

%---------------------------------------------------------
% HH side
%---------------------------------------------------------

% FONC for c

LHS_9=lambda_h;
RHS_9=A_h/ch;

eq_9=LHS_9-RHS_9;

% MRS(labor)

LHS_10=lambda_h * w;
RHS_10=N^psi*rho;

eq_10=LHS_10-RHS_10;


% land price

 LHS_11=q_l;
 RHS_11=beta_h*q_l + var_phi/(lambda_h*Lh);
 
eq_11=LHS_11-RHS_11;


% interest rate

eq_12=1/R - beta_h;


% BC

LHS_13=ch + B/R;
RHS_13=w*N + B;

eq_13=LHS_13-RHS_13;

% MC

LHS_14=ce + ch + I;
RHS_14= Y;

eq_14=LHS_14-RHS_14;

% land supply

eq_15=L- (Le+Lh);

resi=[eq_1 eq_2 eq_3 eq_4 eq_5 eq_6 eq_7 eq_8 eq_9 eq_10  eq_12 eq_13 eq_14 eq_15];resi=resi';



















